Bug 137859 - missing return statement
missing return statement
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pump (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-02 04:46 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.8.24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-26 16:10:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-11-02 04:46:19 EST
Description of problem:

I just tried to compile package pump-0.8.21-1 from 
Redhat Fedora Core 3 Test 3.

The compiler said

dhcp.c(1428): warning #1011: missing return statement at end of
non-void function "pumpDhcpRun"

The source code is

char * pumpDhcpRun(char * device, int flags, int reqLease,
                  char * reqHostname, struct pumpNetIntf * intf,
                  struct pumpOverrideInfo * override) {
    pumpDhcpClassRun(device, flags, reqLease, reqHostname, NULL, intf,
                     override);
}

Suggest add return statement at the end of the routine.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2006-04-26 16:10:39 EDT
This was fixed a while ago

Note You need to log in before you can comment on or make changes to this bug.